## r-cran-mfilter 0.1.3

=== DESCRIPTION ===
Package: mFilter
Title: Miscellaneous time series filters
Date: 2007-10-2
Version: 0.1-3
Author: Mehmet Balcilar <mbalcilar@yahoo.com>
Depends: R (>= 2.2.0), stats
Suggests: tseries, pastecs, locfit, tseriesChaos, RTisean, tsDyn,
        forecast
Description: The package implements several time series filters useful
        for smoothing and extracting trend and cyclical components of a
        time series. The routines are commonly used in economics and
        finance, however they should also be interest to other areas.
        Currently, Christiano-Fitzgerald, Baxter-King,
        Hodrick-Prescott, Butterworth, and trigonometric regression
        filters are included in the package.
Maintainer: Mehmet Balcilar <mbalcilar@yahoo.com>
License: GPL (>= 2)
URL: http://www.mbalcilar.net/mFilter, http://www.r-project.org
Packaged: Tue Nov 6 09:32:46 2007; mehmet
Repository: CRAN
Date/Publication: 2007-11-06 10:00:46

=== debian/changelog ===
r-cran-mfilter (0.1.3-2) unstable; urgency=medium

  * Rebuild for r-api-3.4 transition.
  * Bump to debhelper compat level 10.
  * Switch from cdbs to dh-r.
  * d/watch: bump to format version 4.
  * d/copyright: use secure URL for format.
  * d/control: use canonical URLs from Vcs-* fields.
  * d/control: add missing ${misc:Depends}.
  * d/control: use canonical URL for homepage of CRAN package.
  * Add Testsuite: autopkgtest-pkg-r.
  * Bump to Standards-Version 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 02 Oct 2017 15:07:39 +0200

r-cran-mfilter (0.1.3-1) unstable; urgency=low

  * Initial release. (Closes: #725277)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 04 Oct 2013 18:12:42 +0200

=== debian/control ===
Source: r-cran-mfilter
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev, dh-r
Standards-Version: 4.1.1
Homepage: https://cran.r-project.org/package=mFilter
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-mfilter.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-mfilter.git

Package: r-cran-mfilter
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing miscellaneous time series filters
 The package implements several time series filters useful for smoothing and
 extracting trend and cyclical components of a time series. The routines are
 commonly used in economics and finance, however they should also be interest
 to other areas. Currently, Christiano-Fitzgerald, Baxter-King,
 Hodrick-Prescott, Butterworth, and trigonometric regression filters are
 included in the package.

=== debian/watch ===
version=4
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/mFilter_([-\d\.]*)\.tar.gz

## r-cran-mfilter 0.1.4

=== DESCRIPTION ===
Package: mFilter
Title: Miscellaneous Time Series Filters
Date: 2018-09-22
Version: 0.1-4
Author: Mehmet Balcilar <mehmet@mbalcilar.net>
Depends: R (>= 2.2.0), stats
Suggests: tseries, pastecs, locfit, tseriesChaos, tsDyn, forecast
Description: The mFilter package implements several time series filters useful
        for smoothing and extracting trend and cyclical components of a
        time series. The routines are commonly used in economics and
        finance, however they should also be interest to other areas.
        Currently, Christiano-Fitzgerald, Baxter-King,
        Hodrick-Prescott, Butterworth, and trigonometric regression
        filters are included in the package.
Maintainer: Mehmet Balcilar <mehmet@mbalcilar.net>
License: GPL (>= 2)
URL: http://www.mbalcilar.net
Encoding: UTF-8
RoxygenNote: 6.1.0
NeedsCompilation: no
Packaged: 2018-09-22 21:15:45 UTC; mbalcilar
Repository: CRAN
Date/Publication: 2018-09-23 13:50:03 UTC

=== debian/changelog ===
r-cran-mfilter (0.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 28 Sep 2018 20:11:59 +0200

r-cran-mfilter (0.1.3-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 14:34:50 +0200

=== debian/control ===
Source: r-cran-mfilter
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mfilter
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mfilter.git
Homepage: https://cran.r-project.org/package=mFilter

Package: r-cran-mfilter
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing miscellaneous time series filters
 The package implements several time series filters useful for smoothing and
 extracting trend and cyclical components of a time series. The routines are
 commonly used in economics and finance, however they should also be interest
 to other areas. Currently, Christiano-Fitzgerald, Baxter-King,
 Hodrick-Prescott, Butterworth, and trigonometric regression filters are
 included in the package.

## r-cran-mfilter 0.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mFilter
 Title: Miscellaneous Time Series Filters
-Date: 2018-09-22
-Version: 0.1-4
+Date: 2019-07-04
+Version: 0.1-5
 Author: Mehmet Balcilar <mehmet@mbalcilar.net>
 Depends: R (>= 2.2.0), stats
 Suggests: tseries, pastecs, locfit, tseriesChaos, tsDyn, forecast
@@ -16,8 +16,8 @@
 License: GPL (>= 2)
 URL: http://www.mbalcilar.net
 Encoding: UTF-8
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2018-09-22 21:15:45 UTC; mbalcilar
+Packaged: 2019-06-04 20:52:13 UTC; mbalcilar
 Repository: CRAN
-Date/Publication: 2018-09-23 13:50:03 UTC
+Date/Publication: 2019-06-04 22:20:12 UTC

=== debian/changelog ===
r-cran-mfilter (0.1.5-1) unstable; urgency=medium

  * New upstream version 0.1.5
  * Bump to debhelper compat level 12
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 02 Jul 2019 14:06:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mfilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mfilter.git
 Homepage: https://cran.r-project.org/package=mFilter
+Rules-Requires-Root: no
 
 Package: r-cran-mfilter
 Architecture: all

=== debian/watch ===
version=4
opts="uversionmangle=s/-/\./" \
	    https://cran.r-project.org/src/contrib/mFilter_([-\d\.]*)\.tar.gz
